## hexchat 2.14.1

=== meson_options.txt ===
option('with-gtk', type: 'boolean',
  description: 'Main graphical interface'
)
option('with-text', type: 'boolean', value: false,
  description: 'Text interface (not generally useful)'
)
option('with-ssl', type: 'boolean',
  description: 'Support for TLS connections, requires openssl'
)
option('with-plugin', type: 'boolean',
  description: 'Support for loadable plugins'
)
option('with-dbus', type: 'boolean',
  description: 'Support used for single-instance and scripting interface, Unix only'
)
option('with-libproxy', type: 'boolean',
  description: 'Support for getting proxy information, Unix only'
)
option('with-libnotify', type: 'boolean',
  description: 'Support for freedesktop notifications, Unix only'
)
option('with-libcanberra', type: 'boolean',
  description: 'Support for sound alerts, Unix only'
)
option('with-theme-manager', type: 'boolean', value: false,
  description: 'Utility to help manage themes, requires mono/.net'
)
option('dbus-service-use-appid', type: 'boolean', value: false,
  description: 'Rename dbus service to match app-id, required for Flatpak'
)

# Plugins
option('with-checksum', type: 'boolean',
  description: 'DCC checksum plugin'
)
option('with-exec', type: 'boolean',
  description: '/exec plugin, Windows only'
)
option('with-fishlim', type: 'boolean',
  description: 'Fish encryption plugin, requires openssl'
)
option('with-lua', type: 'string', value: 'luajit',
  description: 'Lua scripting plugin, value is pkg-config name to use or "false"'
)
option('with-perl', type: 'boolean',
  description: 'Perl scripting plugin'
)
option('with-python', type: 'string', value: 'python3',
  description: 'Python scripting plugin. value is pkg-config name to use or "false"'
)
option('with-sysinfo', type: 'boolean',
  description: 'System information plugin, requires libpci on Unix'
)
option('with-upd', type: 'boolean',
  description: 'Update plugin, Windows only'
)
option('with-winamp', type: 'boolean',
  description: 'Winamp plugin, Windows only'
)

## hexchat 2.9.6.1

=== debian/changelog ===
hexchat (2.9.6.1-2ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: no ssl hostname verification (LP: #1565000)
    - debian/patches/validate_ssl_hostnames.patch: properly validate
      hostnames in src/common/server.c, src/common/ssl.c, src/common/ssl.h.
    - CVE number pending
  * SECURITY UPDATE: missing ssl certificate handled incorrectly
    - debian/patches/handle_missing_ssl_cert.patch: fail connection if
      certificate isn't found in src/common/server.c.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 01 Apr 2016 19:53:41 -0400

hexchat (2.9.6.1-2) unstable; urgency=low

  * Now using dh-autoreconf instead of autotools-dev (Closes: #739630)
  * Added gvfs-bin as Recommends so default url handlers work 
    (Closes: #740006)
  * Added unifont as Suggests for unicode symbol support
  * Included png,svg icons in package 

 -- Jesse Rhodes <drubo@drubo.net>  Tue, 25 Feb 2014 16:45:42 -0700

hexchat (2.9.6.1-1) unstable; urgency=low

  * Initial release (Closes: #702075)

 -- Jesse Rhodes <drubo@drubo.net>  Mon, 03 Feb 2014 19:09:17 -0700

=== debian/control ===
Source: hexchat
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jesse Rhodes <drubo@drubo.net>
Build-Depends:
 debhelper (>= 9.0.0),
 dh-autoreconf,
 imagemagick,
 intltool,
 libcanberra-dev,
 libdbus-glib-1-dev,
 libglib2.0-dev,
 libgtk2.0-dev (>= 2.10.0),
 libnotify-dev,
 libpci-dev,
 libperl-dev,
 libproxy-dev,
 libsexy-dev,
 libssl-dev,
 libtool,
 python-dev
Standards-Version: 3.9.5
Homepage: http://hexchat.github.io/

Package: hexchat
Architecture: any
Provides: irc
Depends: ${misc:Depends}, hexchat-common (= ${source:Version}), ${shlibs:Depends}
Recommends: gvfs-bin
Suggests: unifont
Description: IRC client for X based on X-Chat 2
 HexChat is a graphical IRC client with a GTK+ GUI. Features include Python
 (2 and 3) and Perl scripting support, a plugin API, multiple server/channel
 windows, spell checking, multiple authentication methods including SASL,
 and customizable notifications. For more information on IRC,
 see http://irchelp.org/.

Package: hexchat-common
Architecture: all
Provides: irc
Depends: ${misc:Depends}
Recommends: hexchat
Description: Common files for HexChat
 This package includes documentation, headers, and locale files for the
 Debian HexChat packages that are common for all architectures. Hexchat is a
 popular and featureful IRC client with a GTK+ GUI. For more information on
 IRC, see http://irchelp.org/.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules


override_dh_auto_build:
	convert -resize 32x32 src/pixmaps/hexchat.png debian/hexchat.xpm
	gzip -c9 debian/CHANGES > debian/changelog.gz
	dh_auto_build

override_dh_auto_clean:
	rm -f po/*.gmo
	rm -f src/common/dbus/org.hexchat.service.service
	rm -f src/common/textenums.h
	rm -f src/common/textevents.h
	rm -f src/common/make-te
	rm -f po/stamp-po
	rm -f debian/substvars
	rm -f debian/changelog.gz
	rm -f debian/hexchat.xpm
	dh_auto_clean

## hexchat 2.10.0

=== debian/changelog ===
hexchat (2.10.0-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  
 -- Jesse Rhodes <drubo@drubo.net>  Mon, 23 Jun 2014 17:28:50 -0600

hexchat (2.10.0-1) unstable; urgency=medium

  * New upstream release
  * Removed patches for issues fixed by upstream
  * Added default servers and recommended channels for debian 
    and ubuntu (LP: #1294415)
  * Upstream commit fa955a0f fixes xdcc segfault (Closes: #745764)

 -- Jesse Rhodes <drubo@drubo.net>  Sun, 01 Jun 2014 16:45:22 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hexchat
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jesse Rhodes <drubo@drubo.net>
+Maintainer: Jesse Rhodes <drubo@drubo.net>
 Build-Depends:
  debhelper (>= 9.0.0),
  dh-autoreconf,

## hexchat 2.10.1

=== debian/changelog ===
hexchat (2.10.1-2) unstable; urgency=medium

  * Fix ubuntu_defaults.patch (LP: #1390851)
  * Disable SSLv3

 -- Jesse Rhodes <drubo@drubo.net>  Sun, 16 Nov 2014 11:47:12 -0700

hexchat (2.10.1-1) unstable; urgency=medium

  * New upstream release
  * No longer build-depend on libsexy-dev
  * URL handler dialog now labeled Iceweasel rather than Firefox

 -- Jesse Rhodes <drubo@drubo.net>  Mon, 18 Aug 2014 21:18:55 -0600

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Jesse Rhodes <drubo@drubo.net>
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/hexchat.git
+Vcs-git: git://anonscm.debian.org/collab-maint/hexchat.git
 Build-Depends:
  debhelper (>= 9.0.0),
  dh-autoreconf,
@@ -15,11 +17,10 @@
  libpci-dev,
  libperl-dev,
  libproxy-dev,
- libsexy-dev,
  libssl-dev,
  libtool,
  python-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://hexchat.github.io/
 
 Package: hexchat

## hexchat 2.10.2

=== debian/changelog ===
hexchat (2.10.2-1ubuntu3) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 11:12:26 +0000

hexchat (2.10.2-1ubuntu2) wily; urgency=medium

  * debian/hexchat.install:
    - don't install the manpage in two binaries

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 15 Oct 2015 11:13:39 +0100

hexchat (2.10.2-1ubuntu1) wily; urgency=medium

  * debian/hexchat.install:
    - install files missing since the split, include pkgconfig needed 
      to build xchat-gnome

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Oct 2015 13:40:06 +0100

hexchat (2.10.2-1build1) wily; urgency=medium

  * No-change rebuild against libproxy1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 23:29:48 +0000

hexchat (2.10.2-1) unstable; urgency=medium

  * New upstream release
  * Includes upstream fixes for POODLE vulnerability 
    (CVE-2014-3566)
  * Split plugins into modular packages rather than having all 
    binaries in the main hexchat package

 -- Jesse Rhodes <drubo@drubo.net>  Fri, 28 Nov 2014 18:35:39 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hexchat
 Section: net
 Priority: optional
-Maintainer: Jesse Rhodes <drubo@drubo.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jesse Rhodes <drubo@drubo.net>
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/hexchat.git
 Vcs-git: git://anonscm.debian.org/collab-maint/hexchat.git
 Build-Depends:
@@ -27,12 +28,12 @@
 Architecture: any
 Provides: irc
 Depends: ${misc:Depends}, hexchat-common (= ${source:Version}), ${shlibs:Depends}
-Recommends: gvfs-bin
+Recommends: gvfs-bin, hexchat-plugins, hexchat-perl, hexchat-python
 Suggests: unifont
 Description: IRC client for X based on X-Chat 2
  HexChat is a graphical IRC client with a GTK+ GUI. Features include Python
- (2 and 3) and Perl scripting support, a plugin API, multiple server/channel
- windows, spell checking, multiple authentication methods including SASL,
+ and Perl scripting support, a plugin API, multiple server/channel windows, 
+ spell checking, multiple authentication methods including SASL,
  and customizable notifications. For more information on IRC,
  see http://irchelp.org/.
 
@@ -46,3 +47,37 @@
  Debian HexChat packages that are common for all architectures. Hexchat is a
  popular and featureful IRC client with a GTK+ GUI. For more information on
  IRC, see http://irchelp.org/.
+
+Package: hexchat-perl
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: hexchat (<< 2.10.2-1)
+Breaks: hexchat (<< 2.10.2-1)
+Recommends: hexchat 
+Description: Perl plugin for HexChat
+ This package contains the perl plugin for HexChat. Previously included in the 
+ main HexChat package, it's now separate as it's not actually required for core
+ functionality.
+
+Package: hexchat-python
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: hexchat (<< 2.10.2-1)
+Breaks: hexchat (<< 2.10.2-1)
+Recommends: hexchat
+Description: Python 2 plugin for HexChat
+ This package contains the Python 2 plugin for HexChat. Previously included in 
+ the main HexChat package, it's now separate as it's not actually required for 
+ core functionality. It may also enable some future (unsupported) tinkering once
+ the switch is made to Python 3. 
+
+Package: hexchat-plugins
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: hexchat (<< 2.10.2-1)
+Breaks: hexchat (<< 2.10.2-1)
+Recommends: hexchat
+Description: Common plugins for HexChat
+ This package contains the FiSHLiM, Sysinfo, Do At and Checksum plugins. 
+ Previously included in the main HexChat package, they're now separate as 
+ they're not actually required for core functionality.

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 
 override_dh_auto_build:
-	convert -resize 32x32 src/pixmaps/hexchat.png debian/hexchat.xpm
-	gzip -c9 debian/CHANGES > debian/changelog.gz
+	convert -resize 32x32 data/icons/hexchat.png debian/hexchat.xpm
+	gzip -nc9 debian/changelog.txt > debian/changelog.gz
 	dh_auto_build
 
 override_dh_auto_clean:
@@ -27,3 +27,9 @@
 	rm -f debian/changelog.gz
 	rm -f debian/hexchat.xpm
 	dh_auto_clean
+	find . -name Makefile.in -exec rm -f {} \;
+	rm -f aclocal.m4
+	rm -f config.sub
+	rm -f configure
+	rm -f ltmain.sh
+	rm -f m4/libtool.m4

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://dl.hexchat.net/hexchat/hexchat-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## hexchat 2.12.0

=== debian/changelog ===
hexchat (2.12.0-2ubuntu3) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2016 10:08:58 +0100

hexchat (2.12.0-2ubuntu2) yakkety; urgency=medium

  * Update Breaks+Replaces, from seb128

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 May 2016 14:57:47 +0200

hexchat (2.12.0-2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/hexchat.install:
      - install the service file.
    - drop the pkgconfig delta, it is now part of the -plugins package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 May 2016 13:55:39 +0200

hexchat (2.12.0-2) unstable; urgency=medium

  * Removed patch correcting for missing translations, 
    as translations are no longer missing 
  * Removed patch correcting spelling error that would break 
    some scripts and themes
  * Updated ubuntu server/channel defaults

 -- Jesse Rhodes <drubo@drubo.net>  Wed, 30 Mar 2016 11:44:04 -0600

hexchat (2.12.0-1) unstable; urgency=medium

  * New upstream release
  * Iceweasel no longer called Firefox in url dialog
  * Building both python2 and python3 plugins
  * Including hexchat-plugin.pc (Closes: 801767)

 -- Jesse Rhodes <drubo@drubo.net>  Fri, 25 Mar 2016 10:54:57 -0600

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jesse Rhodes <drubo@drubo.net>
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/hexchat.git
-Vcs-git: git://anonscm.debian.org/collab-maint/hexchat.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hexchat.git
+Vcs-git: https://anonscm.debian.org/collab-maint/hexchat.git
 Build-Depends:
  debhelper (>= 9.0.0),
  dh-autoreconf,
- imagemagick,
  intltool,
  libcanberra-dev,
  libdbus-glib-1-dev,
@@ -20,15 +19,16 @@
  libproxy-dev,
  libssl-dev,
  libtool,
- python-dev
-Standards-Version: 3.9.6
+ python-dev,
+ python3-dev
+Standards-Version: 3.9.7
 Homepage: http://hexchat.github.io/
 
 Package: hexchat
 Architecture: any
 Provides: irc
 Depends: ${misc:Depends}, hexchat-common (= ${source:Version}), ${shlibs:Depends}
-Recommends: gvfs-bin, hexchat-plugins, hexchat-perl, hexchat-python
+Recommends: gvfs-bin, hexchat-plugins, hexchat-perl, hexchat-python3
 Suggests: unifont
 Description: IRC client for X based on X-Chat 2
  HexChat is a graphical IRC client with a GTK+ GUI. Features include Python
@@ -51,8 +51,8 @@
 Package: hexchat-perl
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: hexchat (<< 2.10.2-1)
-Breaks: hexchat (<< 2.10.2-1)
+Replaces: hexchat (<< 2.10.2-1ubuntu3)
+Breaks: hexchat (<< 2.10.2-1ubuntu3)
 Recommends: hexchat 
 Description: Perl plugin for HexChat
  This package contains the perl plugin for HexChat. Previously included in the 
@@ -60,16 +60,36 @@
  functionality.
 
 Package: hexchat-python
+Depends: hexchat-python3, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+
+Package: hexchat-python2
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: hexchat (<< 2.10.2-1)
-Breaks: hexchat (<< 2.10.2-1)
+Replaces: hexchat (<< 2.10.2-1), hexchat-python (<< 2.12.0-1)
+Breaks: hexchat (<< 2.10.2-1), hexchat-python (<< 2.12.0-1)
+Conflicts: hexchat-python3
 Recommends: hexchat
 Description: Python 2 plugin for HexChat
  This package contains the Python 2 plugin for HexChat. Previously included in 
  the main HexChat package, it's now separate as it's not actually required for 
- core functionality. It may also enable some future (unsupported) tinkering once
- the switch is made to Python 3. 
+ core functionality.  
+
+Package: hexchat-python3
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: hexchat (<< 2.10.2-1), hexchat-python (<< 2.12.0-1)
+Breaks: hexchat (<< 2.10.2-1), hexchat-python (<< 2.12.0-1)
+Conflicts: hexchat-python2
+Recommends: hexchat
+Description: Python 3 plugin for HexChat
+ This package contains the Python 3 plugin for HexChat. Previously included in 
+ the main HexChat package, it's now separate as it's not actually required for 
+ core functionality.  
 
 Package: hexchat-plugins
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 
 override_dh_auto_build:
-	convert -resize 32x32 data/icons/hexchat.png debian/hexchat.xpm
 	gzip -nc9 debian/changelog.txt > debian/changelog.gz
 	dh_auto_build
 
@@ -33,3 +32,4 @@
 	rm -f configure
 	rm -f ltmain.sh
 	rm -f m4/libtool.m4
+	rm -f m4/glib-gettext.m4

## hexchat 2.12.3

=== debian/changelog ===
hexchat (2.12.3-4) unstable; urgency=medium

  * Re-enable Lua support everywhere now that #845929 is fixed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 19 Dec 2016 12:47:31 +0100

hexchat (2.12.3-3) unstable; urgency=medium

  * Actually disable Lua support when building.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Dec 2016 16:03:26 +0100

hexchat (2.12.3-2) unstable; urgency=medium

  * Temporary restrict the build of hexchat-lua to the architectures where lua
    is usable right now (see #845929).

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Dec 2016 14:02:40 +0100

hexchat (2.12.3-1) unstable; urgency=medium

  [ Jesse Rhodes ]
  * Add hexchat-dev package for .pc and .h files.
  * Include dbus service file in hexchat-common.

  [ Mattia Rizzolo ]
  * Take over maintenance from Jasse Rhodes.
    Thank you for all your work these years!  Closes: #844574
  * debian/control:
    + wrap-and-sort -ast.
    + Bump Standards-Version to 3.9.8, no changes needed.
    + Add proper Breaks/Replaces for the hexchat-dev addition-
    + Have hexchat-plugins recommend hwdata for the sysinfo plugin.
      Closes: #845940
    + Have hexchat recommend the hexchat-otr plugin.
      Thanks to Petter Reinholdtsen <pere@hungry.com> for the suggestion
    + Bump the Breaks/Replaces of hexchat-plugins against hexchat;
      hexchat-plugin.pc has been moved from hexchat to hexchat-plugins
      in 2.12.0-1.  LP: #1586239
    + Set appropriate Breaks/Replaces to cope with the Ubuntu delta and
      make the package syncable.
    + Mark hexchat-common as Multi-Arch:foreign (from the m-a hinter).
  * debian/rules:
    + Remove huge override_dh_auto_clean: if anything of that is needed,
      it should be done on the upstream side.
    + Remove *.la files before running dh_install.
    + Use dh_install --fail-missing.
  * Package the Lua plugin.  Closes: #834491
  * Update upstream changelog for 2.13.2.
  * Use dh_installchangelogs to install the upstream changelog, instead of
    manually compressing in rules and the install with d/*.docs.
  * Let the upstream build system put the manpage in place, instead of copying
    it of our own.
  * Add patch to properly clean the upstream sources and make possible to build
    the package twice in a row.
  * Bump debhelper compat level to 10.
    + --with autoreconf is now default.
  * debian/copyright:
    + Make it DEP-5 compliant.
    + Update.
  * Drop nearly all lintian overrides; they are either fixed or unused.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 01 Dec 2016 18:30:03 +0100

hexchat (2.12.3-0.1) unstable; urgency=medium

  * Non-maintainer upload, with maintainer ACK.

  [ Jesse Rhodes ]
  * Fixed vcs-git url.

  [ Mattia Rizzolo ]
  * Imported Upstream version 2.12.3.  Closes: #836809
  * Refresh patches
  * d/rules: disable LUA bindings, as they would require a new binary package.
  * Add several patches from upstream to add support to OpenSSL 1.1.0.
    Closes: #828339
  * Revert upstream commit 15600f405f2d5bda6ccf0dd73957395716e0d4d3, which
    would cause users to lose their scrollback.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 27 Nov 2016 13:41:25 +0100

=== debian/control ===
Source: hexchat
Section: net
Priority: optional
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-lua,
 intltool,
 libcanberra-dev,
 libdbus-glib-1-dev,
 libglib2.0-dev,
 libgtk2.0-dev (>= 2.10.0),
 libnotify-dev,
 libpci-dev,
 libperl-dev,
 libproxy-dev,
 libssl-dev,
 libtool,
 python-dev,
 python3-dev,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/hexchat.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/hexchat.git
Homepage: http://hexchat.github.io/

Package: hexchat
Architecture: any
Provides:
 irc,
Depends:
 hexchat-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gvfs-bin,
 hexchat-otr,
 hexchat-perl,
 hexchat-plugins,
 hexchat-python3,
Suggests:
 unifont,
Description: IRC client for X based on X-Chat 2
 HexChat is a graphical IRC client with a GTK+ GUI. Features include Python
 and Perl scripting support, a plugin API, multiple server/channel windows,
 spell checking, multiple authentication methods including SASL,
 and customizable notifications. For more information on IRC,
 see http://irchelp.org/.

Package: hexchat-common
Architecture: all
Multi-Arch: foreign
Provides:
 irc,
Depends:
 ${misc:Depends},
Recommends:
 hexchat,
Breaks:
 hexchat (<< 2.12.3-1~),
Replaces:
 hexchat (<< 2.12.3-1~),
Description: Common files for HexChat
 This package includes documentation, headers, and locale files for the
 Debian HexChat packages that are common for all architectures. Hexchat is a
 popular and featureful IRC client with a GTK+ GUI. For more information on
 IRC, see http://irchelp.org/.

Package: hexchat-perl
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 hexchat (<< 2.10.2-1ubuntu3),
Breaks:
 hexchat (<< 2.10.2-1ubuntu3),
Recommends:
 hexchat,
Description: Perl plugin for HexChat
 This package contains the perl plugin for HexChat. Previously included in the
 main HexChat package, it's now separate as it's not actually required for core
 functionality.

Package: hexchat-python
Depends:
 hexchat-python3,
 ${misc:Depends},
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: hexchat-python2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 hexchat (<< 2.10.2-1),
 hexchat-python (<< 2.12.0-1),
Breaks:
 hexchat (<< 2.10.2-1),
 hexchat-python (<< 2.12.0-1),
Conflicts:
 hexchat-python3,
Recommends:
 hexchat,
Description: Python 2 plugin for HexChat
 This package contains the Python 2 plugin for HexChat. Previously included in
 the main HexChat package, it's now separate as it's not actually required for
 core functionality.

Package: hexchat-python3
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 hexchat (<< 2.10.2-1),
 hexchat-python (<< 2.12.0-1),
Breaks:
 hexchat (<< 2.10.2-1),
 hexchat-python (<< 2.12.0-1),
Conflicts:
 hexchat-python2,
Recommends:
 hexchat,
Description: Python 3 plugin for HexChat
 This package contains the Python 3 plugin for HexChat. Previously included in
 the main HexChat package, it's now separate as it's not actually required for
 core functionality.

Package: hexchat-lua
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 hexchat,
Description: Lua plugin for HexChat
 This package contains the Lua plugin for Hexchat.
 Previously included in the main HexChat package, it's now separate as it's not
 actually required for core functionality.

Package: hexchat-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 hexchat (<< 2.12.0-1),
Breaks:
 hexchat (<< 2.12.0-1),
Recommends:
 hexchat,
 hwdata,
Description: Common plugins for HexChat
 This package contains the FiSHLiM, Sysinfo, Do At and Checksum plugins.
 Previously included in the main HexChat package, they're now separate as
 they're not actually required for core functionality.

Package: hexchat-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 hexchat,
Breaks:
 hexchat-common (<< 2.12.3-1~),
 hexchat-plugins (<< 2.12.3-1~),
Replaces:
 hexchat-common (<< 2.12.3-1~),
 hexchat-plugins (<< 2.12.3-1~),
Description: Development files for HexChat
 This package contains the hexchat-plugin.h and hexchat-plugin.pc
 files, which facilitate building binary plugins. Hexchat is a
 popular and featureful IRC client with a GTK+ GUI. For more information on
 IRC, see http://irchelp.org/.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.txt

override_dh_install:
	find debian/tmp -name '*.la' -print0 | xargs -0 rm -v
	dh_install --fail-missing

## hexchat 2.12.4

=== debian/changelog ===
hexchat (2.12.4-6) unstable; urgency=medium

  * d/control:
    + Move packaging to salsa.debian.org.
    + Replace recomendency on gvfs-bin to libglib2.0-bin.  Closes: #877746
    + Bump Standards-Version to 4.1.3, no changes needed.
  * d/copyright: Bump copyright years for debian/*.
  * d/rules: Replace dh_install --fail-missing by dh_missing.
  * d/watch: Use HTTPS.
  * Bump debhelper compat level to 11.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 24 Feb 2018 18:26:41 +0100

hexchat (2.12.4-5) unstable; urgency=medium

  * Add a short description to the previous changelog entry on how to manually
    preserve the scrollback that would otherwise get lost.
  * Remove the patch also for Ubuntu (fixing FTBFS there).
  * d/control:
    + Add a bunch of Multi-Arch:same notation, suggested by the M-A hinter.
    + Remove the transitional package hexchat-python.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 15 Jul 2017 18:34:27 +0200

hexchat (2.12.4-4) unstable; urgency=medium

  * Stop reverting upstream commit 15600f405f2d5bda6ccf0dd73957395716e0d4d3.
    This means users will lose their scrollback right after updating, but
    that's what upstream did and we have no real reasons to undefinitely
    diverge from them just to wait for a nicer fix.
    Closes: #852275; CVE-2016-2087
    For users who care about their scrollback, it's enough to manually rename
    the directories in ~/.config/hexchat/scrollback to all-lowercase characters
    before restarting hexchat after the update.
  * d/control: Bump Standards-Version to 4.0.0, no changes needed
  * d/copyright: bump my copyright year for debian/ to cover 2017

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 14 Jul 2017 16:12:32 +0200

hexchat (2.12.4-3) unstable; urgency=medium

  * Demote hexchat-otr from Recommends to Suggests.
    It reportely causes noise and problems for unexperienced users, and it's
    a mostly unmaintained plugin, so don't install it by default.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 30 May 2017 21:50:09 +0200

hexchat (2.12.4-2) unstable; urgency=medium

  * Also apply patch 4c178782a779f013fafab476506f7d4dae372b8a.patch on ubuntu.
  * d/p/0001-Debian-server-defaults.patch: Add missing braces around the `if`.
    Thanks to Lauri Alanko <la@iki.fi> for the patch.  Closes: #779892

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 26 Jan 2017 09:54:41 +0100

hexchat (2.12.4-1) unstable; urgency=medium

  * New upstream version 2.12.4.
  * d/copyright: update (removal of the doat plugin).
  * d/watch: improve:
    + Bump version to 4.
    + Use substitution strings @ANY_VERSION@ and @ARCHIVE_EXT@.
    + Ignore version 2.12.4-repack by mangling it into 2.12.4.
  * d/control: mark hexchat-dev and hexchat-lua as Multi-Arch:same.
  * d/patches/:
    + openssl/*: drop, applied upstream.
    + clean.patch: drop, applied upstream.
    + 4c178782a779f013fafab476506f7d4dae372b8a.patch: include from upstream to
      work around a gdk-pixbuf bug which would prevent the hexchat icon from
      being displayed in panels/systrays.  Closes: #848615
  * d/rules: add a 'udoc' target to update the bundled copy of upstream doc.
  * Update upstream documentation.
  * d/hexchat-plugins.install: upstream converted the 'doat' plugin into an
    internal command, so stop trying to install the plugin.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 26 Dec 2016 01:16:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-lua,
  intltool,
  libcanberra-dev,
@@ -18,10 +18,10 @@
  libtool,
  python-dev,
  python3-dev,
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/hexchat.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/hexchat.git
-Homepage: http://hexchat.github.io/
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/hexchat.git
+Vcs-Browser: https://salsa.debian.org/debian/hexchat
+Homepage: https://hexchat.github.io
 
 Package: hexchat
 Architecture: any
@@ -32,12 +32,12 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- gvfs-bin,
- hexchat-otr,
  hexchat-perl,
  hexchat-plugins,
  hexchat-python3,
+ libglib2.0-bin,
 Suggests:
+ hexchat-otr,
  unifont,
 Description: IRC client for X based on X-Chat 2
  HexChat is a graphical IRC client with a GTK+ GUI. Features include Python
@@ -67,6 +67,7 @@
 
 Package: hexchat-perl
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -81,18 +82,9 @@
  main HexChat package, it's now separate as it's not actually required for core
  functionality.
 
-Package: hexchat-python
-Depends:
- hexchat-python3,
- ${misc:Depends},
-Architecture: all
-Priority: extra
-Section: oldlibs
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
-
 Package: hexchat-python2
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -113,6 +105,7 @@
 
 Package: hexchat-python3
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -133,6 +126,7 @@
 
 Package: hexchat-lua
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -145,6 +139,7 @@
 
 Package: hexchat-plugins
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -162,6 +157,7 @@
 
 Package: hexchat-dev
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
git_checkout = $(shell if [ -d .git ]; then echo true ; else echo false ; fi)


%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.txt

override_dh_install:
	find debian/tmp -name '*.la' -print0 | xargs -0 rm -v
	dh_install
	
override_dh_missing:
	dh_missing --fail-missing


udoc:
ifeq ($(git_checkout),true)
	wget https://github.com/hexchat/documentation/raw/master/changelog.rst -O debian/changelog.txt
	wget https://github.com/hexchat/documentation/raw/master/plugins.rst -O debian/plugins.txt
else
	$(error you are running this outside of a git checkout; this is not what the maintainer expects)
endif

## hexchat 2.14.1

=== debian/changelog ===
hexchat (2.14.1-2ubuntu0.18.04.1) bionic; urgency=medium

  * Add patches from upstream to add Libera.Chat to the network list.
  * Adapt default servers patches for the upstream changes.
  * Ubuntu default server:  LP: #1933681
    + Change from Freenode to Libera.Chat.
    + Pre-select the "join channel" button, like we do in Debian.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sat, 17 Jul 2021 16:52:23 +0200

hexchat (2.14.1-2) unstable; urgency=medium

  * Add some patches from upstream:
    + upstream/0003-Remove-shift-click-to-close-tab-binding.patch
      - LP: #1756402
    + upstream/0004-build-Add-metainfo-files-for-addons.patch
    + upstream/0005-build-Fix-id-in-plugin-metainfo-files.patch
    + upstream/0006-build-Correctly-set-plugin-licenses.patch
    + upstream/0007-build-Re-add-support-for-the-legacy-perl-api.patch
    + upstream/0008-Deiconify-window-on-tray-click.-Closes-2136.patch
  * Fixup our py2+py3 patch after the above patches have been applied.
  * Install the new metainfo files representing the various plugins.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 20 Mar 2018 16:10:27 +0100

hexchat (2.14.1-1) unstable; urgency=medium

  * New upstream version 2.14.1.
  * Drop all patches applied upstream.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 14 Mar 2018 03:35:41 +0100

hexchat (2.14.0-1) unstable; urgency=medium

  * New upstream version 2.14.0.  Closes: #892085
  * Refresh patches:
    + drop 4c178782a779f013fafab476506f7d4dae372b8a.patch, applied upstream.
    + Rewrite the local patch used to build for both python2 and python3 after
      the change of build system upstream.
    + Add all the commits from upstream after the release:
      - 0003-build-Remove-pie-from-global-ldflags.patch
      - 0004-Fix-fscanf-usage-without-size-limit.patch
      - 0005-fix-typo-in-comment.patch
      - 0006-Revert-xtext-Always-use-Pango-to-get-correct-glyph-w.patch
  * d/control:
    + Update build dependencies for the new upstream:
      - New build-deps: gettext, iso-codes, liblua5.3-dev, meson (>= 0.38).
      - Drop build-deps: dh-lua, intltool, libtool.
      - Drop version restriction from libgtk2.0-dev (>= 2.10.0).
    + Set Rules-Requires-Root:no.
  * d/changelog.txt: Update from upstream.
  * d/hexchat.install: Slightly update the paths.
  * d/rules:
    + Drop override_dh_install not needed anymore with meson.
    + Explicitly build with lua 5.3.  The new build system defaults on luajit
      only now.
  * d/copyright: Update.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 14 Mar 2018 02:36:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: hexchat
 Section: net
 Priority: optional
-Maintainer: Mattia Rizzolo <mattia@debian.org>
+Maintainer: Mattia Rizzolo <mapreri@ubuntu.com>
 Build-Depends:
  debhelper (>= 11),
- dh-lua,
- intltool,
+ gettext,
+ iso-codes,
  libcanberra-dev,
  libdbus-glib-1-dev,
  libglib2.0-dev,
- libgtk2.0-dev (>= 2.10.0),
+ libgtk2.0-dev,
+ liblua5.3-dev,
  libnotify-dev,
  libpci-dev,
  libperl-dev,
  libproxy-dev,
  libssl-dev,
- libtool,
+ meson (>= 0.38),
  python-dev,
  python3-dev,
 Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/hexchat.git
 Vcs-Browser: https://salsa.debian.org/debian/hexchat
 Homepage: https://hexchat.github.io

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,12 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Dinstall-plugin-metainfo=true -Dwith-lua=lua53
+
 override_dh_installchangelogs:
 	dh_installchangelogs debian/changelog.txt
 
-override_dh_install:
-	find debian/tmp -name '*.la' -print0 | xargs -0 rm -v
-	dh_install
-	
 override_dh_missing:
 	dh_missing --fail-missing

## hexchat 2.14.1-2ubuntu0.18.04.1%2B9.0trisquel2

=== meson_options.txt ===
--- 
+++ 
@@ -45,8 +45,11 @@
 option('with-perl', type: 'boolean',
   description: 'Perl scripting plugin'
 )
-option('with-python', type: 'string', value: 'python3',
-  description: 'Python scripting plugin. value is pkg-config name to use or "false"'
+option('with-python2', type: 'string', value: 'python2',
+  description: 'Python 2 scripting plugin. value is pkg-config name to use or "false"'
+)
+option('with-python3', type: 'string', value: 'python3',
+  description: 'Python 3 scripting plugin. value is pkg-config name to use or "false"'
 )
 option('with-sysinfo', type: 'boolean',
   description: 'System information plugin, requires libpci on Unix'
@@ -57,3 +60,9 @@
 option('with-winamp', type: 'boolean',
   description: 'Winamp plugin, Windows only'
 )
+option('install-plugin-metainfo', type: 'boolean', value: false,
+  description: 'Installs metainfo files for enabled plugins, useful when distros create split packages'
+)
+option('with-perl-legacy-api', type: 'boolean', value: false,
+  description: 'Enables the legacy IRC perl module for compatibility with old scripts'
+)

=== .pc/upstream/0004-build-Add-metainfo-files-for-addons.patch/meson_options.txt ===
option('with-gtk', type: 'boolean',
  description: 'Main graphical interface'
)
option('with-text', type: 'boolean', value: false,
  description: 'Text interface (not generally useful)'
)
option('with-ssl', type: 'boolean',
  description: 'Support for TLS connections, requires openssl'
)
option('with-plugin', type: 'boolean',
  description: 'Support for loadable plugins'
)
option('with-dbus', type: 'boolean',
  description: 'Support used for single-instance and scripting interface, Unix only'
)
option('with-libproxy', type: 'boolean',
  description: 'Support for getting proxy information, Unix only'
)
option('with-libnotify', type: 'boolean',
  description: 'Support for freedesktop notifications, Unix only'
)
option('with-libcanberra', type: 'boolean',
  description: 'Support for sound alerts, Unix only'
)
option('with-theme-manager', type: 'boolean', value: false,
  description: 'Utility to help manage themes, requires mono/.net'
)
option('dbus-service-use-appid', type: 'boolean', value: false,
  description: 'Rename dbus service to match app-id, required for Flatpak'
)

# Plugins
option('with-checksum', type: 'boolean',
  description: 'DCC checksum plugin'
)
option('with-exec', type: 'boolean',
  description: '/exec plugin, Windows only'
)
option('with-fishlim', type: 'boolean',
  description: 'Fish encryption plugin, requires openssl'
)
option('with-lua', type: 'string', value: 'luajit',
  description: 'Lua scripting plugin, value is pkg-config name to use or "false"'
)
option('with-perl', type: 'boolean',
  description: 'Perl scripting plugin'
)
option('with-python2', type: 'string', value: 'python2',
  description: 'Python 2 scripting plugin. value is pkg-config name to use or "false"'
)
option('with-python3', type: 'string', value: 'python3',
  description: 'Python 3 scripting plugin. value is pkg-config name to use or "false"'
)
option('with-sysinfo', type: 'boolean',
  description: 'System information plugin, requires libpci on Unix'
)
option('with-upd', type: 'boolean',
  description: 'Update plugin, Windows only'
)
option('with-winamp', type: 'boolean',
  description: 'Winamp plugin, Windows only'
)

=== .pc/upstream/0007-build-Re-add-support-for-the-legacy-perl-api.patch/meson_options.txt ===
option('with-gtk', type: 'boolean',
  description: 'Main graphical interface'
)
option('with-text', type: 'boolean', value: false,
  description: 'Text interface (not generally useful)'
)
option('with-ssl', type: 'boolean',
  description: 'Support for TLS connections, requires openssl'
)
option('with-plugin', type: 'boolean',
  description: 'Support for loadable plugins'
)
option('with-dbus', type: 'boolean',
  description: 'Support used for single-instance and scripting interface, Unix only'
)
option('with-libproxy', type: 'boolean',
  description: 'Support for getting proxy information, Unix only'
)
option('with-libnotify', type: 'boolean',
  description: 'Support for freedesktop notifications, Unix only'
)
option('with-libcanberra', type: 'boolean',
  description: 'Support for sound alerts, Unix only'
)
option('with-theme-manager', type: 'boolean', value: false,
  description: 'Utility to help manage themes, requires mono/.net'
)
option('dbus-service-use-appid', type: 'boolean', value: false,
  description: 'Rename dbus service to match app-id, required for Flatpak'
)

# Plugins
option('with-checksum', type: 'boolean',
  description: 'DCC checksum plugin'
)
option('with-exec', type: 'boolean',
  description: '/exec plugin, Windows only'
)
option('with-fishlim', type: 'boolean',
  description: 'Fish encryption plugin, requires openssl'
)
option('with-lua', type: 'string', value: 'luajit',
  description: 'Lua scripting plugin, value is pkg-config name to use or "false"'
)
option('with-perl', type: 'boolean',
  description: 'Perl scripting plugin'
)
option('with-python2', type: 'string', value: 'python2',
  description: 'Python 2 scripting plugin. value is pkg-config name to use or "false"'
)
option('with-python3', type: 'string', value: 'python3',
  description: 'Python 3 scripting plugin. value is pkg-config name to use or "false"'
)
option('with-sysinfo', type: 'boolean',
  description: 'System information plugin, requires libpci on Unix'
)
option('with-upd', type: 'boolean',
  description: 'Update plugin, Windows only'
)
option('with-winamp', type: 'boolean',
  description: 'Winamp plugin, Windows only'
)
option('install-plugin-metainfo', type: 'boolean', value: false,
  description: 'Installs metainfo files for enabled plugins, useful when distros create split packages'
)

=== debian/changelog ===
hexchat (2.14.1-2ubuntu0.18.04.1+9.0trisquel2) etiona; urgency=medium

  * Compiled for Trisquel default channel #trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 18 Sep 2021 14:17:56 +0000

## hexchat 2.14.2

=== debian/changelog ===
hexchat (2.14.2-5) unstable; urgency=medium

  * Stop building the Python2 plugin.  Closes: #936697
    Simplify the patch used to build py2 and py3; we need to keep it because
    we used to rename the 'python' plugin to 'python3'.  We should check if
    some kind of transition should be done to go back to the upstream
    defaults.
  * d/control:
    + Drop a bunch of old Breaks/Replaces that shouldn't be needed anymore.
    + Bump Standards-Version to 4.4.0, no changes needed.
    + Bump debhelper compat level to 12, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 31 Aug 2019 11:57:51 +0200

hexchat (2.14.2-4) unstable; urgency=medium

  * Add a patch to fix a probable crash while unloading the Python plugin
    when using Python 3.7.  LP: #1830246; Closes: #921208

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 25 May 2019 11:48:26 +0200

hexchat (2.14.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one.

  [ Mattia Rizzolo ]
  * Move the patches tweaking the default servers out of d/patches, and inject
    them through d/rules.  The ctte decided that vendored series files are not
    allowed in the Debian archive, see #904302.  Closes: #915350

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 03 Dec 2018 14:17:35 +0100

hexchat (2.14.2-2) unstable; urgency=medium

  * Add patch to fix FTBFS on !linux.
  * d/control: Use the new debhelper-compat(=11) build-dep and drop d/compat.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Sep 2018 20:38:39 +0200

hexchat (2.14.2-1) unstable; urgency=medium

  * New upstream version 2.14.2.
  * d/patches:
    + Drop patches applied upstream.
    + Refresh remaining patches.
  * d/control: Bump Standards-Version to 4.2.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 01 Sep 2018 22:28:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: hexchat
 Section: net
 Priority: optional
-Maintainer: Mattia Rizzolo <mapreri@ubuntu.com>
+Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  gettext,
  iso-codes,
  libcanberra-dev,
@@ -17,9 +17,8 @@
  libproxy-dev,
  libssl-dev,
  meson (>= 0.38),
- python-dev,
  python3-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/hexchat.git
 Vcs-Browser: https://salsa.debian.org/debian/hexchat
@@ -57,10 +56,6 @@
  ${misc:Depends},
 Recommends:
  hexchat,
-Breaks:
- hexchat (<< 2.12.3-1~),
-Replaces:
- hexchat (<< 2.12.3-1~),
 Description: Common files for HexChat
  This package includes documentation, headers, and locale files for the
  Debian HexChat packages that are common for all architectures. Hexchat is a
@@ -73,10 +68,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Replaces:
- hexchat (<< 2.10.2-1ubuntu3),
-Breaks:
- hexchat (<< 2.10.2-1ubuntu3),
 Recommends:
  hexchat,
 Description: Perl plugin for HexChat
@@ -84,41 +75,12 @@
  main HexChat package, it's now separate as it's not actually required for core
  functionality.
 
-Package: hexchat-python2
-Architecture: any
-Multi-Arch: same
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Replaces:
- hexchat (<< 2.10.2-1),
- hexchat-python (<< 2.12.0-1),
-Breaks:
- hexchat (<< 2.10.2-1),
- hexchat-python (<< 2.12.0-1),
-Conflicts:
- hexchat-python3,
-Recommends:
- hexchat,
-Description: Python 2 plugin for HexChat
- This package contains the Python 2 plugin for HexChat. Previously included in
- the main HexChat package, it's now separate as it's not actually required for
- core functionality.
-
 Package: hexchat-python3
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Replaces:
- hexchat (<< 2.10.2-1),
- hexchat-python (<< 2.12.0-1),
-Breaks:
- hexchat (<< 2.10.2-1),
- hexchat-python (<< 2.12.0-1),
-Conflicts:
- hexchat-python2,
 Recommends:
  hexchat,
 Description: Python 3 plugin for HexChat
@@ -145,10 +107,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Replaces:
- hexchat (<< 2.12.0-1),
-Breaks:
- hexchat (<< 2.12.0-1),
 Recommends:
  hexchat,
  hwdata,
@@ -165,12 +123,6 @@
  ${shlibs:Depends},
 Recommends:
  hexchat,
-Breaks:
- hexchat-common (<< 2.12.3-1~),
- hexchat-plugins (<< 2.12.3-1~),
-Replaces:
- hexchat-common (<< 2.12.3-1~),
- hexchat-plugins (<< 2.12.3-1~),
 Description: Development files for HexChat
  This package contains the hexchat-plugin.h and hexchat-plugin.pc
  files, which facilitate building binary plugins. Hexchat is a
